import React, { useState, useEffect } from 'react';
import { Form, Table } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import styles from './style.less';

import router from 'umi/router';


function header(props) {

  /**
   * @param {*} props
   * @returns
   */
  const [data, setData] = useState([{ records: [] }])

  const columns = [
    {
      title: '访问事件',
      dataIndex: 'event',
      key: 'event',
      align: 'center',
    },
    {
      title: '访问时间',
      dataIndex: 'time',
      key: 'time',
      align: 'center',

    },
    {
      title: '停留时间',
      dataIndex: 'stayTime',
      key: 'stayTime',
      align: 'center',
    },
  ]
  return (
    <>
      <div className={styles.cardBox}>
        <div className={styles.leftBox}>
          <p className={styles.tit}>置业顾问信息</p>
          <img className={styles.touxiang} src="http://img0.imgtn.bdimg.com/it/u=4246326797,2657995307&fm=26&gp=0.jpg" />
          <p className={styles.infoItem}>姓名：赵海伟</p>
          <p className={styles.infoItem}>部门：营销部</p>
          <p className={styles.infoItem}>岗位：营销经理</p>
          <p className={styles.infoItem}>号码：13160056061 </p>
          <p className={styles.infoItem}>公司：葛洲坝·南京中国府</p>
          <p className={styles.infoItem}>所属项目：葛洲坝·南京中国府</p>
        </div>
        <div className={styles.rightBox}>
          <p className={styles.tit}>客户信息</p>
          <img className={styles.touxiang} src="http://img0.imgtn.bdimg.com/it/u=4246326797,2657995307&fm=26&gp=0.jpg" />
          <div className={styles.right}>
            <p className={styles.rightItem}>用户名称：董浩业</p>
            <p className={styles.rightItem}>手机号码：15050893674</p>
            <p className={styles.rightItem}>来访渠道：活动分享</p>
          </div>
          <p className={styles.rightItem}>访问时长：0秒</p>
          <p className={styles.rightItem}>访问次数：</p>
          <p className={styles.rightItem}>预约人数：</p>
          <p className={styles.rightItem}>首次访问时间：</p>
          <p className={styles.rightItem}>预约到访时间：</p>
          <div className={styles.rightInfo}>
            <p className={styles.rightItem}>国家：</p>
            <p className={styles.rightItem}>省份：</p>
            <p className={styles.rightItem}>城市：</p>
            <p className={styles.rightItem}>详细信息：</p>
            <p className={styles.rightItem}>意向项目：</p>
            <p className={styles.rightItem}>价格区间：</p>
            <p className={styles.rightItem}>客户说明：</p>
            <p className={styles.rightItem}>客户描述：</p>
            <p className={styles.rightItem}>需求类型：</p>
            <p className={styles.rightItem}>物业类型：</p>
          </div>
        </div>
      </div>
      <div className={styles.recordBox}>
        <p className={styles.tableName}>访问记录</p>
        <Table dataSource={data.records} columns={columns} pagination={false} />
      </div>

    </>
  )
}
const WrappedHeader = Form.create({ name: 'header' })(header);

export default WrappedHeader
